<!DOCTYPE html>
<html>
<head>
	<title>Meine HTML-Web-App</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<style>
		/* CSS für das Styling */
		body {
			font-family: Arial, sans-serif;
			background-color: #f2f2f2;
		}

		h1 {
			text-align: center;
			margin-top: 50px;
		}

		form {
			margin-top: 30px;
			text-align: center;
		}

		input[type=text] {
			padding: 10px;
			border: none;
			border-radius: 5px;
			box-shadow: 0 0 5px #888;
		}

		input[type=submit] {
			background-color: #4CAF50;
			color: white;
			padding: 10px 20px;
			border: none;
			border-radius: 5px;
			cursor: pointer;
		}

		input[type=submit]:hover {
			background-color: #3e8e41;
		}

		#output {
			margin-top: 30px;
			text-align: center;
			font-size: 20px;
		}
	</style>
</head>
<body>
	<h1>Meine HTML-Web-App</h1>
	<form onsubmit="return false;">
		<label for="input">Gib hier deinen Text ein:</label><br>
		<input type="text" id="input"><br>
		<input type="submit" value="Abschicken" onclick="displayText();">
	</form>
	<div id="output"></div>

	<script>
		// JavaScript für die Funktionalität
		function displayText() {
			var input = document.getElementById("input").value;
			document.getElementById("output").innerHTML = "Du hast eingegeben: " + input;
		}
	</script>
</body>
</html>
